## ros-rolling-moveit-planners-chomp 2.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(moveit_planners_chomp)

# Common cmake code applied to all moveit packages
find_package(moveit_common REQUIRED)
moveit_package()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(moveit_core REQUIRED)
find_package(chomp_motion_planner REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp REQUIRED)

set(THIS_PACKAGE_INCLUDE_DEPENDS
  moveit_core
  chomp_motion_planner
  moveit_core
  pluginlib
  rclcpp
)

include_directories(
  include
)

set(MOVEIT_LIB_NAME moveit_chomp_interface)

add_library(${MOVEIT_LIB_NAME} SHARED
  src/chomp_interface.cpp
  src/chomp_planning_context.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
ament_target_dependencies(${MOVEIT_LIB_NAME} ${THIS_PACKAGE_INCLUDE_DEPENDS})

add_library(moveit_chomp_planner_plugin SHARED src/chomp_plugin.cpp)
ament_target_dependencies(moveit_chomp_planner_plugin ${THIS_PACKAGE_INCLUDE_DEPENDS})
target_link_libraries(moveit_chomp_planner_plugin
  ${MOVEIT_LIB_NAME}
)

install(
  TARGETS ${MOVEIT_LIB_NAME} moveit_chomp_planner_plugin
  EXPORT ${PROJECT_NAME}Targets
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION bin
)

ament_export_targets(${PROJECT_NAME}Targets HAS_LIBRARY_TARGET)
ament_export_dependencies(
  ${THIS_PACKAGE_INCLUDE_DEPENDS}
)

pluginlib_export_plugin_description_file(moveit_core chomp_interface_plugin_description.xml)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  # These don't pass yet, disable them for now
  set(ament_cmake_copyright_FOUND TRUE)
  set(ament_cmake_cppcheck_FOUND TRUE)
  set(ament_cmake_cpplint_FOUND TRUE)
  set(ament_cmake_flake8_FOUND TRUE)
  set(ament_cmake_uncrustify_FOUND TRUE)
  set(ament_cmake_lint_cmake_FOUND TRUE)

  # Run all lint tests in package.xml except those listed above
  ament_lint_auto_find_test_dependencies()
endif()

# TODO: Enable testing ()
#if(CATKIN_ENABLE_TESTING)
  #set(CHOMP_TEST_DEPS moveit_ros_planning_interface)
#else()
  #set(CHOMP_TEST_DEPS)
#endif()

ament_package()

=== debian/changelog ===
ros-rolling-moveit-planners-chomp (2.4.0-1focal) focal; urgency=high

  * moveit_build_options()
    Declare common build options like CMAKE_CXX_STANDARD, CMAKE_BUILD_TYPE,
    and compiler options (namely warning flags) once.
    Each package depending on moveit_core can use these via moveit_build_options().
  * Contributors: Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 20 Jan 2022 07:00:00 -0000

ros-rolling-moveit-planners-chomp (2.3.2-1focal) focal; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 29 Dec 2021 07:00:00 -0000

ros-rolling-moveit-planners-chomp (2.3.1-1focal) focal; urgency=high

  * Port CHOMP Motion Planner to ROS 2 (#809 <https://github.com/ros-planning/moveit2/issues/809>)
  * Update Maintainers of MoveIt package (#697 <https://github.com/ros-planning/moveit2/issues/697>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: Dave Coleman, Henning Kayser, Robert Haschke, andreas-botbuilt, pvanlaar

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 23 Dec 2021 07:00:00 -0000

ros-rolling-moveit-planners-chomp (1.1.1-1focal) focal; urgency=high

  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 13 Oct 2020 06:00:00 -0000

ros-rolling-moveit-planners-chomp (1.1.0-1focal) focal; urgency=high

  * [feature] Replace $(find xacro)/xacro -> xacro (#2282 <https://github.com/ros-planning/moveit/issues/2282>)
  * [feature] Start new joint_state_publisher_gui on param use_gui (#2257 <https://github.com/ros-planning/moveit/issues/2257>)
  * [feature] Optional cpp version setting (#2166 <https://github.com/ros-planning/moveit/issues/2166>)
  * [feature] Change API of ChompPlanner::solve() to not use message
  * [fix] Various fixes for upcoming Noetic release (#2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [fix] clang-tidy fixes (#2050 <https://github.com/ros-planning/moveit/issues/2050>)
  * [fix] Fix compiler warnings (#1773 <https://github.com/ros-planning/moveit/issues/1773>)
  * [fix] Small fixes to chomp planner (#1407 <https://github.com/ros-planning/moveit/issues/1407>)
  * [maint] Replace namespaces robot_state and robot_model with moveit::core (#1924 <https://github.com/ros-planning/moveit/issues/1924>)
  * [maint] Add Missing License (#1779 <https://github.com/ros-planning/moveit/issues/1779>)
  * [maint] Switch from include guards to pragma once (#1615 <https://github.com/ros-planning/moveit/issues/1615>)
  * [maint] Remove ! from MoveIt name (#1590 <https://github.com/ros-planning/moveit/issues/1590>)
  * Contributors: Ayush Garg, Chittaranjan Srinivas Swaminathan, Dave Coleman, Jonathan Binney, Markus Vieth, Robert Haschke, Sean Yen, Tyler Weaver, Yoan Mollard

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 04 Sep 2020 06:00:00 -0000

ros-rolling-moveit-planners-chomp (1.0.6-1focal) focal; urgency=high

  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * Contributors: Markus Vieth, Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 19 Aug 2020 06:00:00 -0000

ros-rolling-moveit-planners-chomp (1.0.5-1focal) focal; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 08 Jul 2020 06:00:00 -0000

ros-rolling-moveit-planners-chomp (1.0.4-1focal) focal; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 30 May 2020 06:00:00 -0000

ros-rolling-moveit-planners-chomp (1.0.3-1focal) focal; urgency=high

  * [maint] Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * Contributors: Robert Haschke, Sean Yen

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 26 Apr 2020 06:00:00 -0000

ros-rolling-moveit-planners-chomp (1.0.2-1focal) focal; urgency=high

  * [fix] Fix chomp planner (#1512 <https://github.com/ros-planning/moveit/issues/1512>)
    * Fix start-state handling
    * remove time parameterization from planning code
  * Contributors: Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 28 Jun 2019 06:00:00 -0000

ros-rolling-moveit-planners-chomp (1.0.1-1focal) focal; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Robert Haschke, Yu, Yan

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 08 Mar 2019 07:00:00 -0000

ros-rolling-moveit-planners-chomp (1.0.0-1focal) focal; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * Contributors: Dave Coleman, Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 24 Feb 2019 07:00:00 -0000

ros-rolling-moveit-planners-chomp (0.10.8-1focal) focal; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 24 Dec 2018 07:00:00 -0000

ros-rolling-moveit-planners-chomp (0.10.7-1focal) focal; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 13 Dec 2018 07:00:00 -0000

ros-rolling-moveit-planners-chomp (0.10.6-1focal) focal; urgency=high

  * [maintenance] Rearranged CHOMP-related modules within moveit_planners/chomp (#1251 <https://github.com/ros-planning/moveit/issues/1251>)
  * Contributors: Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 09 Dec 2018 07:00:00 -0000

ros-rolling-moveit-planners-chomp (0.10.5-1focal) focal; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 01 Nov 2018 06:00:00 -0000



=== debian/control ===
Source: ros-rolling-moveit-planners-chomp
Section: misc
Priority: optional
Maintainer: Chittaranjan Srinivas Swaminathan <chitt@live.in>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-chomp-motion-planner, ros-rolling-moveit-common, ros-rolling-moveit-core, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-moveit-planners-chomp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-chomp-motion-planner, ros-rolling-moveit-core, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-ros-workspace
Description: The interface for using CHOMP within MoveIt

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-moveit-planners-chomp//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-moveit-planners-chomp 2.8.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.22)
project(moveit_planners_chomp LANGUAGES CXX)

# Common cmake code applied to all moveit packages
find_package(moveit_common REQUIRED)
moveit_package()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(moveit_core REQUIRED)
find_package(chomp_motion_planner REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rsl REQUIRED)

set(THIS_PACKAGE_INCLUDE_DEPENDS
  moveit_core
  chomp_motion_planner
  moveit_core
  pluginlib
  rclcpp
  rsl
)

include_directories(
  include
)

add_library(moveit_chomp_interface SHARED
  src/chomp_interface.cpp
  src/chomp_planning_context.cpp)
set_target_properties(moveit_chomp_interface PROPERTIES VERSION "${moveit_planners_chomp_VERSION}")
ament_target_dependencies(moveit_chomp_interface ${THIS_PACKAGE_INCLUDE_DEPENDS})

add_library(moveit_chomp_planner_plugin SHARED src/chomp_plugin.cpp)
ament_target_dependencies(moveit_chomp_planner_plugin ${THIS_PACKAGE_INCLUDE_DEPENDS})
target_link_libraries(moveit_chomp_planner_plugin
  moveit_chomp_interface
)

install(
  TARGETS moveit_chomp_interface moveit_chomp_planner_plugin
  EXPORT moveit_planners_chompTargets
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION bin
)

ament_export_targets(moveit_planners_chompTargets HAS_LIBRARY_TARGET)
ament_export_dependencies(
  ${THIS_PACKAGE_INCLUDE_DEPENDS}
)

pluginlib_export_plugin_description_file(moveit_core chomp_interface_plugin_description.xml)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  # These don't pass yet, disable them for now
  set(ament_cmake_copyright_FOUND TRUE)
  set(ament_cmake_cpplint_FOUND TRUE)
  set(ament_cmake_flake8_FOUND TRUE)
  set(ament_cmake_uncrustify_FOUND TRUE)
  set(ament_cmake_lint_cmake_FOUND TRUE)

  # Run all lint tests in package.xml except those listed above
  ament_lint_auto_find_test_dependencies()
endif()

# TODO: Enable testing ()
#if(CATKIN_ENABLE_TESTING)
  #set(CHOMP_TEST_DEPS moveit_ros_planning_interface)
#else()
  #set(CHOMP_TEST_DEPS)
#endif()

ament_package()

=== debian/changelog ===
ros-rolling-moveit-planners-chomp (2.8.0-2jammy) jammy; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 09 Sep 2023 22:00:00 -0000

ros-rolling-moveit-planners-chomp (2.7.4-2jammy) jammy; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 17 May 2023 22:00:00 -0000

ros-rolling-moveit-planners-chomp (2.7.3-2jammy) jammy; urgency=high

  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Shobuj Paul

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 23 Apr 2023 22:00:00 -0000

ros-rolling-moveit-planners-chomp (2.7.2-2jammy) jammy; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 17 Apr 2023 22:00:00 -0000

ros-rolling-moveit-planners-chomp (2.7.1-2jammy) jammy; urgency=high

  * remove underscore from public member in MotionPlanResponse (#1939 <https://github.com/ros-planning/moveit2/issues/1939>)
    * remove underscore from private members
    * fix more uses of the suffix notation
  * Contributors: AlexWebb

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 22 Mar 2023 23:00:00 -0000

ros-rolling-moveit-planners-chomp (2.7.0-2jammy) jammy; urgency=high

  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Remove MOVEIT_LIB_NAME (#1751 <https://github.com/ros-planning/moveit2/issues/1751>)
    It's more readable and searchable if we just spell out the target
    name.
  * Use a stronger source of randomness (#1721 <https://github.com/ros-planning/moveit2/issues/1721>)
    * Remove use of deprecated std::random_shuffle
    * Replace random number generators with rsl::rng
    * Utilize rsl::uniform_real
  * Cleanup lookup of planning pipelines in MoveItCpp (#1710 <https://github.com/ros-planning/moveit2/issues/1710>)
    * Revert "Add planner configurations to CHOMP and PILZ (#1522 <https://github.com/ros-planning/moveit2/issues/1522>)"
    * Cleanup lookup of planning pipelines
    Remove MoveItCpp::getPlanningPipelineNames(), which was obviously intended initially to provide a planning-group-based filter for all available planning pipelines: A pipeline was discarded for a group, if there were no planner_configs defined for that group on the parameter server.
    As pointed out in #1522 <https://github.com/ros-planning/moveit2/issues/1522>, only OMPL actually explicitly declares planner_configs on the parameter server.
    To enable all other pipelines as well (and thus circumventing the original filter mechanism), #1522 <https://github.com/ros-planning/moveit2/issues/1522> introduced empty dummy planner_configs for all other planners as well (CHOMP + Pilz).
    This, obviously, renders the whole filter mechanism useless. Thus, here we just remove the function getPlanningPipelineNames() and the corresponding member groups_pipelines_map_.
  * Fix clang-tidy issues (#1706 <https://github.com/ros-planning/moveit2/issues/1706>)
    * Blindly apply automatic clang-tidy fixes
    * Exemplarily cleanup a few automatic clang-tidy fixes
    * Clang-tidy fixups
    * Missed const-ref fixups
    * Fix unsupported non-const -> const
    * More fixes
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Contributors: Chris Thrasher, Christian Henkel, Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 28 Jan 2023 23:00:00 -0000

ros-rolling-moveit-planners-chomp (2.6.0-2jammy) jammy; urgency=high

  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>)
  * Add planner configurations to CHOMP and PILZ (#1522 <https://github.com/ros-planning/moveit2/issues/1522>)
  * Contributors: Sebastian Jahr

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 09 Nov 2022 23:00:00 -0000

ros-rolling-moveit-planners-chomp (2.5.3-2jammy) jammy; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 27 Jul 2022 22:00:00 -0000

ros-rolling-moveit-planners-chomp (2.5.2-2jammy) jammy; urgency=high

  * Remove unnecessary rclcpp.hpp includes (#1333 <https://github.com/ros-planning/moveit2/issues/1333>)
  * Contributors: Jafar

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 17 Jul 2022 22:00:00 -0000

ros-rolling-moveit-planners-chomp (2.5.1-2jammy) jammy; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 30 May 2022 22:00:00 -0000

ros-rolling-moveit-planners-chomp (2.5.0-2jammy) jammy; urgency=high

  * Make TOTG the default time-parameterization algorithm everywhere (#1218 <https://github.com/ros-planning/moveit2/issues/1218>)
  * Make moveit_common a 'depend' rather than 'build_depend' (#1226 <https://github.com/ros-planning/moveit2/issues/1226>)
  * Merge https://github.com/ros-planning/moveit/commit/424a5b7b8b774424f78346d1e98bf1c9a33f0e78
  * Merge https://github.com/ros-planning/moveit/commit/ab42a1d7017b27eb6c353fb29331b2da08ab0039
  * Remove unused parameters. (#1018 <https://github.com/ros-planning/moveit2/issues/1018>)
  * MSA: Add STOMP + OMPL-CHOMP configs (#2955 <https://github.com/ros-planning/moveit2/issues/2955>)
  * Move MoveItErrorCode class to moveit_core (#3009 <https://github.com/ros-planning/moveit2/issues/3009>)
  * Merge PRs #2948 <https://github.com/ros-planning/moveit2/issues/2948> (improve CI) and #2949 <https://github.com/ros-planning/moveit2/issues/2949> (simplify ROS .test files)
  * Use test_environment.launch in unittests
  * Contributors: Abishalini, AndyZe, Cory Crean, Jafar, Jafar Abdi, Rick Staa, Robert Haschke, jeoseo

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 25 May 2022 22:00:00 -0000

ros-rolling-moveit-planners-chomp (2.4.0-2jammy) jammy; urgency=high

  * moveit_build_options()
    Declare common build options like CMAKE_CXX_STANDARD, CMAKE_BUILD_TYPE,


=== debian/control ===
Source: ros-rolling-moveit-planners-chomp
Section: misc
Priority: optional
Maintainer: Chittaranjan Srinivas Swaminathan <chitt@live.in>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-chomp-motion-planner, ros-rolling-moveit-common, ros-rolling-moveit-core, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-moveit-planners-chomp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-chomp-motion-planner, ros-rolling-moveit-common, ros-rolling-moveit-core, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-ros-workspace
Description: The interface for using CHOMP within MoveIt

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
